<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: behavioral Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classrcv__pckt__s.html">rcv_pckt_s</a></li><li class="navelem"><a class="el" href="classrcv__pckt__s_1_1behavioral.html">behavioral</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behavioral Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classrcv__pckt__s_1_1behavioral-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a4a266c75b61698b73c067d38c29066e5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4a266c75b61698b73c067d38c29066e5"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a4a266c75b61698b73c067d38c29066e5">PROCESS_221</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a6d88461d9057ed9b7a25c7220cab57bc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6d88461d9057ed9b7a25c7220cab57bc"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a6d88461d9057ed9b7a25c7220cab57bc">PROCESS_222</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ad088240f431a36afcf0e42d36451722a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad088240f431a36afcf0e42d36451722a"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#ad088240f431a36afcf0e42d36451722a">PROCESS_223</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clock</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a9cb3a69088796039a0fa8efe52cf0dca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9cb3a69088796039a0fa8efe52cf0dca"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a9cb3a69088796039a0fa8efe52cf0dca">PROCESS_224</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clock</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a196bb938e94b40e6cda51e166f47e27b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a196bb938e94b40e6cda51e166f47e27b"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a196bb938e94b40e6cda51e166f47e27b">PROCESS_225</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:aa8eeb1556bb350302b4825889b5fda19"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa8eeb1556bb350302b4825889b5fda19"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#aa8eeb1556bb350302b4825889b5fda19">PROCESS_226</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a1954a4c46d3b23ca3d3e85f409fb091b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1954a4c46d3b23ca3d3e85f409fb091b"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a1954a4c46d3b23ca3d3e85f409fb091b">PROCESS_227</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a189cdd48211381ff95eed7416b52e3c2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a189cdd48211381ff95eed7416b52e3c2"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a189cdd48211381ff95eed7416b52e3c2">PROCESS_228</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a98b2cee2917eade41d67c4fae0f687c0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a98b2cee2917eade41d67c4fae0f687c0"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a98b2cee2917eade41d67c4fae0f687c0">PROCESS_229</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a4de2cbf1f8e285bee228081d78ac7909"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4de2cbf1f8e285bee228081d78ac7909"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a4de2cbf1f8e285bee228081d78ac7909">PROCESS_230</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Greset_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clock</span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:ae39b5e657f3103e4151d3ab646c8236a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae39b5e657f3103e4151d3ab646c8236a"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#ae39b5e657f3103e4151d3ab646c8236a">crc_gen_usb_32to16</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classcrc__gen__usb__32to16.html">&lt;Entity crc_gen_usb_32to16&gt; </a></em></td></tr>
<tr class="memitem:a6f56843a28932dee6e9f26389900036a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f56843a28932dee6e9f26389900036a"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a6f56843a28932dee6e9f26389900036a">resync</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classresync.html">&lt;Entity resync&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a43c12f23bad282257d69146a32b868d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a43c12f23bad282257d69146a32b868d8"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a43c12f23bad282257d69146a32b868d8">pipe_a</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9cbd2b7dca062e00f62910f82bb7ea3f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9cbd2b7dca062e00f62910f82bb7ea3f"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a9cbd2b7dca062e00f62910f82bb7ea3f">pipe_b</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad098eba34d7ce41a8668f27043b340f5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad098eba34d7ce41a8668f27043b340f5"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#ad098eba34d7ce41a8668f27043b340f5">pipe_c</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a95295ba60c76427a4dbbe725f7b262db"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a95295ba60c76427a4dbbe725f7b262db"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a95295ba60c76427a4dbbe725f7b262db">pipe_K</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae7369391aa33ff424a9763003bdd21de"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae7369391aa33ff424a9763003bdd21de"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#ae7369391aa33ff424a9763003bdd21de">align</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7b3cb2c656a9b6b82aa6773b72e97519"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7b3cb2c656a9b6b82aa6773b72e97519"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a7b3cb2c656a9b6b82aa6773b72e97519">SOF</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a77903b6e9a3b35115a03ef1749925ed6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a77903b6e9a3b35115a03ef1749925ed6"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a77903b6e9a3b35115a03ef1749925ed6">EOF</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a62e53b89cee848d34f079c0615def6ee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a62e53b89cee848d34f079c0615def6ee"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a62e53b89cee848d34f079c0615def6ee">stage</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af9003f617f51fc4afc7e2d51076fbfb5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af9003f617f51fc4afc7e2d51076fbfb5"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#af9003f617f51fc4afc7e2d51076fbfb5">cmd_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a81bd2d10274d0102e59b679a0a7c8ad5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a81bd2d10274d0102e59b679a0a7c8ad5"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a81bd2d10274d0102e59b679a0a7c8ad5">data_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7587d5475fb26788573f71007b13ff10"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7587d5475fb26788573f71007b13ff10"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a7587d5475fb26788573f71007b13ff10">ena_cmd_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a48ebbdf58c7553c00911f174e0e81160"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a48ebbdf58c7553c00911f174e0e81160"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a48ebbdf58c7553c00911f174e0e81160">status_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae78bc86f702e346a1aca4f3078ba3cf2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae78bc86f702e346a1aca4f3078ba3cf2"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#ae78bc86f702e346a1aca4f3078ba3cf2">ena_ack_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adaa03ceb78c4c79de0a361d6003877fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adaa03ceb78c4c79de0a361d6003877fa"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#adaa03ceb78c4c79de0a361d6003877fa">seqnb_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">30</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8663f103338d7e2d11be8f7c6b3ee7e0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8663f103338d7e2d11be8f7c6b3ee7e0"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a8663f103338d7e2d11be8f7c6b3ee7e0">ID_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a77a250157f4119562258544b2c874e83"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a77a250157f4119562258544b2c874e83"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a77a250157f4119562258544b2c874e83">length_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1324e787fb7d8b751e9ded13a5e3cee2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1324e787fb7d8b751e9ded13a5e3cee2"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a1324e787fb7d8b751e9ded13a5e3cee2">cmp_crc</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adfd30059c774768fd03dc32d5ab8249f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adfd30059c774768fd03dc32d5ab8249f"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#adfd30059c774768fd03dc32d5ab8249f">eoc</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae88b1c459f914025e428f3cb2a6849fb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae88b1c459f914025e428f3cb2a6849fb"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#ae88b1c459f914025e428f3cb2a6849fb">crc_val</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a16e7a188888467e8da649f0b0fd1821e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a16e7a188888467e8da649f0b0fd1821e"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a16e7a188888467e8da649f0b0fd1821e">crc_valid</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a06a828c664cef08d2daecd96026b6e1e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a06a828c664cef08d2daecd96026b6e1e"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a06a828c664cef08d2daecd96026b6e1e">crc_to_be_check</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4afcb408429694b13bb93dd91cebf5f6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4afcb408429694b13bb93dd91cebf5f6"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a4afcb408429694b13bb93dd91cebf5f6">end_check</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1639f0ae900d261aa699c81d5a828a0d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1639f0ae900d261aa699c81d5a828a0d"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a1639f0ae900d261aa699c81d5a828a0d">cmd_pckt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6ab30743f14c47f28ea2f8b162cdc9b8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6ab30743f14c47f28ea2f8b162cdc9b8"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a6ab30743f14c47f28ea2f8b162cdc9b8">ack_pckt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a042692373ede6e4a3c46676ea2fc1d48"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a042692373ede6e4a3c46676ea2fc1d48"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a042692373ede6e4a3c46676ea2fc1d48">latch_crc_in</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a229700d4d595982b3d422c96149d1926"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a229700d4d595982b3d422c96149d1926"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a229700d4d595982b3d422c96149d1926">mem_error_gen</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a80f653de7fa1929b223c3e9da61cf0f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a80f653de7fa1929b223c3e9da61cf0f7"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a80f653de7fa1929b223c3e9da61cf0f7">pack_counter</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a9a7f07c653ec12eadea383afa15de493"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9a7f07c653ec12eadea383afa15de493"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a9a7f07c653ec12eadea383afa15de493">CRC_generate</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>crc_gen_usb_32to16</b>  <em><a class="el" href="classcrc__gen__usb__32to16.html">&lt;Entity crc_gen_usb_32to16&gt;</a></em></td></tr>
<tr class="memitem:a9283fed4fa5d0cdda6695ebb05790316"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9283fed4fa5d0cdda6695ebb05790316"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a9283fed4fa5d0cdda6695ebb05790316">resync_ena_ack</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>resync</b>  <em><a class="el" href="classresync.html">&lt;Entity resync&gt;</a></em></td></tr>
<tr class="memitem:a43c41a624392d1720880b606907a7c2f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a43c41a624392d1720880b606907a7c2f"></a>
<a class="el" href="classrcv__pckt__s_1_1behavioral.html#a43c41a624392d1720880b606907a7c2f">resync_ena_cmd</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>resync</b>  <em><a class="el" href="classresync.html">&lt;Entity resync&gt;</a></em></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="5Gb_2slink_2rcv__pckt__s_8vhd_source.html#l00055">55</a> of file <a class="el" href="5Gb_2slink_2rcv__pckt__s_8vhd_source.html">rcv_pckt_s.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/5Gb/slink/<a class="el" href="5Gb_2slink_2rcv__pckt__s_8vhd_source.html">rcv_pckt_s.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:44 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
